MSVSSCREATE (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.optional.vss.MSVSSCREATE class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.vss
Class MSVSSCREATE

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.optional.vss.MSVSS
                  org.apache.tools.ant.taskdefs.optional.vss.MSVSSCREATE

public class MSVSSCREATE
extends MSVSS

Creates a new project in Microsoft Visual SourceSafe.

The following attributes are interpreted:

Attribute | Values | Required
--- | --- | ---
login | username,password | No
vsspath | SourceSafe path of project to be created | Yes
ssdir | directory where `ss.exe` resides. By default the task expects it to be in the PATH. | No
quiet | suppress output (off by default) | No
failOnError | fail if there is an error creating the project (true by default) | No
autoresponse | What to respond with (sets the -I option). By default, -I- is used; values of Y or N will be appended to this. | No
comment | The comment to use for this label. Empty or '-' for no comment. | No

Author:
  Gary S. Weaver

Field Summary

Fields inherited from class org.apache.tools.ant.taskdefs.optional.vss.MSVSS
`COMMAND_ADD, COMMAND_CHECKIN, COMMAND_CHECKOUT, COMMAND_CP, COMMAND_CREATE, COMMAND_GET, COMMAND_HISTORY, COMMAND_LABEL, FLAG_AUTORESPONSE_DEF, FLAG_AUTORESPONSE_NO, FLAG_AUTORESPONSE_YES, FLAG_LOGIN, FLAG_OVERRIDE_WORKING_DIR, FLAG_QUIET, FLAG_RECURSION, FLAG_VERSION, FLAG_VERSION_DATE, FLAG_VERSION_LABEL, FLAG_WRITABLE, PROJECT_PREFIX, VALUE_NO, VALUE_YES`

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`MSVSSCREATE()`

Method Summary
`void` | `execute()` Executes the task.
`void` | `getAutoresponse(Commandline cmd)` Checks the value set for the autoResponse.
`java.lang.String` | `getComment()` Gets the comment to be applied.
`void` | `getQuietCommand(Commandline cmd)` Modify the commandline to add the quiet argument.
`void` | `setAutoresponse(java.lang.String response)` What to respond with (sets the -I option).
`void` | `setComment(java.lang.String comment)` Sets the comment to apply in SourceSafe.
`void` | `setFailOnError(boolean failOnError)` Sets whether task should fail if there is an error creating the project; optional, default true.
`void` | `setQuiet(boolean quiet)` Sets/clears quiet mode; optional, default false.

Methods inherited from class org.apache.tools.ant.taskdefs.optional.vss.MSVSS
`getLoginCommand, getSSCommand, getVsspath, run, setLogin, setServerpath, setSsdir, setVsspath`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, handleErrorFlush, handleErrorOutput, handleFlush, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MSVSSCREATE

    public MSVSSCREATE()

Method Detail

### execute

    public void execute()
                 throws BuildException

  Executes the task.

  Builds a command line to execute ss and then calls Exec's run method to execute the command line.

  Overrides:
    `execute` in class `Task`
  Throws:
    `BuildException` - if the task fails.

### setComment

    public void setComment(java.lang.String comment)

  Sets the comment to apply in SourceSafe.

  If this is null or empty, it will be replaced with "-" which is what SourceSafe uses for an empty comment.

  Parameters:
    `comment` - the comment to apply in SourceSafe

### getComment

    public java.lang.String getComment()

  Gets the comment to be applied.

  Returns:
    the comment to be applied.

### setQuiet

    public final void setQuiet(boolean quiet)

  Sets/clears quiet mode; optional, default false.

  Parameters:
    `quiet` - whether or not command should be run in "quiet mode".

### getQuietCommand

    public void getQuietCommand(Commandline cmd)

  Modify the commandline to add the quiet argument.

  Parameters:
    `cmd` - the commandline to modify.

### setFailOnError

    public final void setFailOnError(boolean failOnError)

  Sets whether task should fail if there is an error creating the project; optional, default true.

  Parameters:
    `failOnError` - true if task should fail if there is an error creating the project.

### setAutoresponse

    public void setAutoresponse(java.lang.String response)

  What to respond with (sets the -I option). By default, -I- is used; values of Y or N will be appended to this.

  Parameters:
    `response` - the response.

### getAutoresponse

    public void getAutoresponse(Commandline cmd)

  Checks the value set for the autoResponse. if it equals "Y" then we return -I-Y if it equals "N" then we return -I-N otherwise we return -I

  Parameters:
    `cmd` - the commandline to modify with the autoresponse.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.